Bug 66424 - Build requirement cups-devel not listed
Summary: Build requirement cups-devel not listed
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Omni   
(Show other bugs)
Version: 7.3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-10 11:42 UTC by Pawel Salek
Modified: 2007-04-18 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 16:42:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pawel Salek 2002-06-10 11:42:47 UTC
Description of problem:
Omni package requires cups/cups.h header file from cups-devel package
but cups-devel is not listed in build requirements of Omni.

Version-Release number of selected component (if applicable): 
default 7.3 Omni package


How reproducible:
Always

Steps to Reproduce:
1. try to build Omni without cups-devel installed.


Actual Results:
The rpm --rebuild Omni*src.rpm output is:
[...]
cd CUPS && \
make && \
cd ..
CUPSToOmni.cpp:26:23: cups/cups.h: No such file or directory
CUPSToOmni.cpp:27:22: cups/ppd.h: No such file or directory
CUPSToOmni.cpp:28:25: cups/raster.h: No such file or directory


Expected Results:  The compilation should finish successfully.

Comment 1 Tim Waugh 2002-06-20 16:42:11 UTC
Fixed in 0.7.0-1.


Note You need to log in before you can comment on or make changes to this bug.